Package org.apache.catalina.ha

## Class ClusterMessageBase

- java.lang.Object
- - org.apache.catalina.ha.ClusterMessageBase

All Implemented Interfaces:
  `java.io.Serializable`, `ClusterMessage`

Direct Known Subclasses:
  `FileMessage`, `SessionMessageImpl`

    public abstract class ClusterMessageBase
    extends java.lang.Object
    implements ClusterMessage

See Also:
  Serialized Form

### Field Summary

Fields
`protected Member` `address`

### Constructor Summary

Constructors
`ClusterMessageBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Member` `getAddress()`
`long` `getTimestamp()`
`void` `setAddress​(Member member)`
`void` `setTimestamp​(long timestamp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.catalina.ha.ClusterMessage

`getUniqueId`

### Field Detail

#### address

    protected transient Member address

### Constructor Detail

#### ClusterMessageBase

    public ClusterMessageBase()

### Method Detail

#### getAddress

    public Member getAddress()

Specified by:
  `getAddress` in interface `ClusterMessage`

#### getTimestamp

    public long getTimestamp()

Specified by:
  `getTimestamp` in interface `ClusterMessage`

#### setAddress

    public void setAddress​(Member member)

Specified by:
  `setAddress` in interface `ClusterMessage`

#### setTimestamp

    public void setTimestamp​(long timestamp)

Specified by:
  `setTimestamp` in interface `ClusterMessage`